<!DOCTYPE html>
 <html>
  <head> <!-- Entête HTML -->
    <meta charset="utf-8" />
    <title>Envoi de courriels</title>
  </head>
  <body>
 <?php
 define("WEB_EOL","<br/>"); // Pour les affichages Web
 define("MSG_EOL","\r\n") ; // Pour les messages
 // Récupération de la date courante
 date_default_timezone_set("Europe/Paris") ;
 setlocale(LC_TIME, 'fr_FR.utf8','fra')    ; 
 $date = strftime("%A %d %B %Y - %H:%M")   ;
 // Champs "to" et "sujet"
 $sujet = "Confirmation de votre inscription" ;
 $to    = "Jean.Dupont@gmail.com"             ; 
 // Message du courriel
 $message  = "Bonjour,".MSG_EOL.MSG_EOL;
 $message .= "nous vous confirmons votre inscription dans notre établissement".MSG_EOL.MSG_EOL;
 $message .= "à compté du : ".$date.MSG_EOL.MSG_EOL;
 $message .= "Cordialement".MSG_EOL;
 $message .= "L'administrateur du site".MSG_EOL;
 // En-têtes additionnelles
 $entete = "From: Inscription <noreply@monsite.com>".MSG_EOL;
 $entete .= "Reply-To: contact_inscription@monsite.com".MSG_EOL;
 $entete .= "Content-Type: text/plain; charset=\"utf-8\"".MSG_EOL;
 // --- Envoi du courriel ---
 $EnvoieOK = mail($to, $sujet, $message, $entete);
 
 // Affichage sur la page Web de la confirmation de l'envoi du message
 if ($EnvoieOK)
 {
  echo "Le message a été envoyé correctement !".WEB_EOL.WEB_EOL;
  echo "à = $to".WEB_EOL;
  echo "sujet = $sujet".WEB_EOL;
  echo "entete = $entete".WEB_EOL.WEB_EOL;
  $message_web=str_replace(MSG_EOL,WEB_EOL,$message);
  echo "<b>Contenu du message : </b>".WEB_EOL.WEB_EOL;
  echo "$message_web".WEB_EOL;
 }
 else
  echo "Le message n'a été envoyé !".WEB_EOL;
 ?>
 </body>
</html>
